
QGIS Application - Bug report #20673

QGIS3.4  Organize columns, data integrity compromised

2018-11-29 11:52 AM - Soares SOares

Status: Closed

Priority: High

Assignee: Julien Cabieces

Category: Attribute table

Affected QGIS version:3.5(master) Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 28493

Description

When you use 'Organize columns' and 'move selection to top' in atribute table you can crash your data integrity.

To reproduce this bug you will need a layer with more than 14 columns and more than

45 rows. That is the specification of our smaler table. We have tried with

a smaller table and we don't get any error.

1 -  pick up the atribute table (postgres with geometry or shapefile),

right click in a column name and select 'Organize columns...'

2 - Reorder the columns. Thinking in column position  like a list, try a

sequence that  bring to initial positions the end elements. In a example

14,12,5,1,2...

3 - Back to the table, start edition.

4 - Click at QGIS numerator of feature in table. this will turn editable the cell of

the column 14 (remind the example above),

5 - Chose in menu table 'move selection to top'

6 - look for the atribute's of column 14, it will apear in another column

of the same selected object.

Related issues:

Related to QGIS Application - Bug report # 20733: Attribute table: Order of c... Closed 2018-12-05

Associated revisions

Revision fba4b25b - 2018-12-20 05:21 PM - Julien Cabieces

fixes #20673 : Correct mapFromSource method when reordering columns

Revision 868254d6 - 2018-12-22 11:56 AM - Matthias Kuhn 

Merge pull request #8725 from troopa81/fix_20673

Correct mapFromSource method when reordering columns. fixes #20673

Revision 71799094 - 2019-01-04 09:25 AM - Julien Cabieces

fixes #20673 : Correct mapFromSource method when reordering columns
Revision 6c1b5d25 - 2019-01-04 10:54 PM - Luigi Pirelli

Merge pull request #8794 from troopa81/release-3_4

fixes #20673 : Correct mapFromSource method when reordering columns

History

#1 - 2018-11-29 01:36 PM - Giovanni Manghi

- Status changed from Open to Feedback

Does it happens on 2.18?

#2 - 2018-11-29 05:27 PM - Soares SOares

Yes, Giovanni. And also in 3.4LTR

#3 - 2018-11-29 06:06 PM - Giovanni Manghi

Soares SOares wrote:

Yes, Giovanni. And also in 3.4LTR

my question was about 2.18, not 3.4

#4 - 2018-11-29 06:30 PM - Soares SOares

Yes, it happens in 2.18.

#5 - 2018-11-29 07:27 PM - Giovanni Manghi

- Priority changed from High to Normal

- Crashes QGIS or corrupts data changed from Yes to No

Soares SOares wrote:

Yes, it happens in 2.18.

I assume that the raw data integrity is not compromised(?)

#6 - 2018-11-30 10:44 AM - Alessandro Pasotti

I cannot reproduce on current master, can you please add a sample project and sample data and a video that demonstrate the issue?
#7 - 2018-11-30 10:23 PM - Soares SOares

Ok, I will send to you on monday.

#8 - 2018-12-03 01:39 PM - Soares SOares

- File sample_data.zip added

Hello Alessandro. At the moment I can't make a video, but there is a project with a shapefile.

The columns already have been organized, so after open the project:

- Open attribute table;

- Start edition;

- Select any feature (click on QGIS's numerator in table);

- Move selection to top.

The content atribute in selected cell (col_18) will be sended to 'col_11'

#9 - 2018-12-05 01:50 PM - Soares SOares

2.14 just fine

#10 - 2018-12-05 10:54 PM - Alessandro Pasotti

- Affected QGIS version changed from 3.4.2 to 3.5(master)

Confirmed on master thanks for the demo data.

#11 - 2018-12-06 08:22 AM - Alessandro Pasotti

- Related to Bug report #20733: Attribute table: Order of columns doesn't persist added

#12 - 2018-12-06 09:36 AM - Giovanni Manghi

- Status changed from Feedback to Open

#13 - 2018-12-07 12:17 AM - Luigi Pirelli

is it confirmed data loss or compromising? if so, the issue shouldn't have normal priority

#14 - 2018-12-07 02:17 PM - Giovanni Manghi

- Priority changed from Normal to High

- Crashes QGIS or corrupts data changed from No to Yes

#15 - 2018-12-20 05:27 PM - Julien Cabieces

Proposed PR : https://github.com/qgis/QGIS/pull/8725

#16 - 2018-12-20 08:15 PM - Luigi Pirelli
please  Soares SOares give a double check to the proposed PR if it's possible. otherwise you have to wait merge and nightly build

Julien Cabieces wrote:

Proposed PR : https://github.com/qgis/QGIS/pull/8725

#17 - 2018-12-22 11:55 AM - Julien Cabieces

- Status changed from Open to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|fba4b25bc25e87aa6f3a45c64acd7fd243b30bfb.

#18 - 2019-01-21 01:08 PM - Soares SOares

- Status changed from Closed to Reopened

- Assignee set to Julien Cabieces

I've Tested 2.18.27 and the bug still there. The bug also persists in 3.4.3 I've used the same file in bug report.

#19 - 2019-01-21 02:17 PM - Julien Cabieces

- Status changed from Reopened to Closed

- Resolution set to fixed/implemented

The correction had not been backported in 2.18.27 but is present in 3.4.4 (not 3.4.3)

Files

sample_data.zip 72 KB 2018-12-03 Soares SOares
